Module java.base
Package javax.crypto.interfaces

# Interface DHKey

All Known Subinterfaces:
  `DHPrivateKey`, `DHPublicKey`

public interface DHKey
The interface to a Diffie-Hellman key.

Since:
  1.4
See Also:
  - `DHParameterSpec`
  - `DHPublicKey`
  - `DHPrivateKey`

## Method Summary

Modifier and Type
Method
Description
`DHParameterSpec`
`getParams()`
Returns the key parameters.

## Method Details

### getParams

DHParameterSpec getParams()
Returns the key parameters.

Returns:
  the key parameters